Bug 417311 - Wallpaper Tray crashes if a Directory in its Directory List doesn't exist
Wallpaper Tray crashes if a Directory in its Directory List doesn't exist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wp_tray (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-09 11:29 EST by Richard Schwarting
Modified: 2009-06-15 12:51 EDT (History)
0 users

See Also:
Fixed In Version: 0.5.3-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 12:19:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Schwarting 2007-12-09 11:29:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en; rv:1.8.1.10) Gecko/20071128 Epiphany/2.20 Firefox/2.0.0.10

Description of problem:
If I have a directory listed in Wallpaper Tray that doesn't exist, and I try to change my wallpaper, Wallpaper Tray crashes.  The panel asks whether I would like to reload.  



Version-Release number of selected component (if applicable):
0.5.3

How reproducible:
Always


Steps to Reproduce:
1. add a directory to the Directory List (it creates it if it doesn't already exist)
2. remove the directory from the file system
3. try to change wallpaper

Actual Results:
Wallpaper Tray crashes and the panel asks if it should reload it.

Expected Results:
Wallpaper Tray should not crash.  Perhaps it should indicate to the user that one of the listed directories does not exist (ideally through libnotify and not a pop-up :|).  

Additional info:
This is bad when a user rearranges part of their directory structure and has Wallpaper Tray set to automatically change wallpapers.  It can confuse them, wondering why this applet crashes all the time.
Comment 1 Denis Leroy 2007-12-13 16:24:44 EST
Yup, boost exceptions not being caught properly. pushing an update now.
Comment 2 Fedora Update System 2007-12-20 15:16:02 EST
wp_tray-0.5.3-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wp_tray'
Comment 3 Fedora Update System 2007-12-28 12:19:07 EST
wp_tray-0.5.3-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Richard Schwarting 2009-06-15 03:12:37 EDT
Hey.  Thanks for fixing this so promptly at the time!
Comment 5 Denis Leroy 2009-06-15 12:51:51 EDT
You're welcome :-)

Note You need to log in before you can comment on or make changes to this bug.